BloodQueen_AVR = LibStub("AceAddon-3.0"):NewAddon("BloodQueen_AVR", "AceEvent-3.0")

local avr = AVRMarkerMesh:New()

function BloodQueen_AVR:OnEnable()
    ChatFrame1:AddMessage("|cffffff00 BloodQueen_AVR Loaded")
    self:RegisterEvent("CHAT_MSG_ADDON")
end

function BloodQueen_AVR:CHAT_MSG_ADDON(event, prefix, msg, disttype, sender)
    if (event ~= "CHAT_MSG_ADDON") then return end
    if (prefix ~= "BloodQueenAVR") then return end

    target, action = strsplit(',', msg)

    local scene = AVR:GetTempScene("BloodQueen_AVR")

    if (action == "1") then -- 0 == Destroy, 1 == Update
        avr:SetFollowUnit(target)
        avr:SetLine(true)
        avr:SetColor(1.0, 1.0, 1.0, 0.8)
        scene:AddMesh(avr)
    elseif (action == "0") then
        scene:RemoveMesh(avr)
    end
    
end
